# $Revision: 1.44 $, $Date: 2005/10/17 18:27:59 $
Summary:	The GNOME Fax Application
Summary(pl):	Aplikacja GNOME do faksw
Name:		gfax
Version:	0.7.3
Release:	3
License:	GPL
Group:		Applications/Communications
Source0:	http://gfax.cowlug.org/%{name}-%{version}-1.tar.gz
# Source0-md5:	59e1430ae0936508ef3814185890213c
Patch0:		%{name}-destdir.patch
Patch1:		%{name}-desktop.patch
Patch2:		%{name}-paths.patch
Patch3:		%{name}-dotnet.patch
URL:		http://gfax.cowlug.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	dotnet-dbus-sharp-devel
# wants {gtk,gnome,gconf,glade}-sharp
BuildRequires:	dotnet-gtk-sharp-gnome-devel >= 0.93
BuildRequires:	intltool >= 0.25
# for directory name detection
BuildRequires:	libgnomeprint-devel
BuildRequires:	libtool
BuildRequires:	mono-csharp >= 0.93
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.198
%requires_eq	libgnomeprint
Requires:	dotnet-gtk-sharp-gnome >= 0.93
Requires:	mono >= 0.93
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gfax is a popup tool for easily sending facsimilies by printing to a
fax printer.

Gfax works with GNOME.

%description -l pl
Gfax jest narzdziem do atwego wysyania faksw poprzez drukowanie
ich na drukarce faksowej. Gfax dziaa z GNOME.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install gfax.schemas

%preun
%gconf_schema_uninstall gfax.schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README INSTALL NEWS TODO
%attr(755,root,root) %{_bindir}/gfax
%attr(755,root,root) %{_bindir}/gfaxlpr
%dir %{_libdir}/gfax
%attr(755,root,root) %{_libdir}/gfax/gfax.exe
%{_datadir}/libgnomeprint/*/models/GNOME-GFAX-PS.xml
%{_datadir}/libgnomeprint/*/printers/GFAX.xml
%{_pixmapsdir}/*.png
%{_desktopdir}/gfax.desktop
%{_sysconfdir}/gconf/schemas/*.schemas
%attr(1777,root,root) %dir %{_var}/spool/gfax
%attr(1777,root,root) %dir %{_var}/spool/gfax/doneq
%attr(1777,root,root) %dir %{_var}/spool/gfax/recq

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gfax.spec,v $
Revision 1.44  2005/10/17 18:27:59  arekm
- rel 3; fix build

Revision 1.43  2005/05/03 08:57:10  qboosh
- added one more lib64 fix to paths patch; release 2

Revision 1.42  2005/05/03 00:44:54  qboosh
- updated to 0.7.3-1, updated deskdir,desktop patches, removed obsolete amd64 patch
- added paths patch (lib64 fix, mono/mint selection)
- revised deps
- builds on alpha

Revision 1.41  2005/03/25 15:05:54  qboosh
- updated URLs, cleanup

Revision 1.40  2004/12/03 02:20:55  ankry
- EA: alpha

Revision 1.39  2004/11/30 20:48:22  paladine
- added desktop patch
- it's not noarch
- use _desktopdir
- rel 4

Revision 1.38  2004/09/18 19:50:15  havner
- rel 3

Revision 1.37  2004/09/18 19:47:56  havner
- amd64 patch

Revision 1.36  2004/09/16 05:10:38  ankry
- cosmetics

Revision 1.35  2004/09/15 23:07:35  havner
- proper requires

Revision 1.34  2004/09/12 11:57:18  havner
- rel 1

Revision 1.33  2004/08/29 11:58:57  darekr
- update to 0.6.4
- add BR: mono-csharp, dotnet-gtk-sharp-devel

Revision 1.32  2004/07/27 08:54:10  tiwek
- updated to 0.6.3 (gnome2)
- using mono :(
- build and not work

Revision 1.31  2003/08/18 08:08:05  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.30  2003/05/28 12:58:58  malekith
- massive attack: source-md5

Revision 1.29  2003/05/25 05:47:49  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.28  2003/01/18 22:48:35  juandon
- removed two lines with define

Revision 1.27  2002/10/29 22:00:16  filon
- changed optflags to rpmcflags, it is needed for debug builds

Revision 1.26  2002/10/09 13:14:24  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.25  2002/08/10 14:57:34  kloczek
- release 5.

Revision 1.24  2002/08/06 13:28:56  qboosh
- BR: libglade-gnome-devel

Revision 1.23  2002/06/23 20:52:50  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.22  2002/06/16 07:38:50  kloczek
- release 4,
- fix building on latest libglade,
- use new %doc,
- include in %files languades dependent files.

Revision 1.21  2002/05/21 23:13:08  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.20  2002/05/12 13:06:05  blues
- rm -f missing
- Updated URLs

Revision 1.19  2002/04/25 16:22:36  arturs
fixed a small typo

Revision 1.18  2002/03/24 23:28:17  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.17  2002/02/25 06:25:51  kloczek
- release 3.

Revision 1.16  2002/02/22 23:28:56  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/01/18 02:13:02  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/10/04 15:02:54  qboosh
- pl summary, BuildRequires: autoconf,automake

Revision 1.13  2001/04/23 17:53:10  kloczek
- release 2,
- fix compile on glibc 2.2.x (time.h patch),
- added missing gnome-print-devel to BuildRequires and rebuild against
  gnome-print 0.28,
- added missing uk to ALL_LINGUAS (add_uk_to_ALL_LINGUAS patch).

Revision 1.12  2001/02/02 17:50:33  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.11  2000/10/30 21:30:19  kloczek
- updated to 0.4.2.

Revision 1.10  2000/10/30 13:27:08  kloczek
- release 3: rebuild against gnome-libs linked with db3.

Revision 1.9  2000/10/03 06:32:27  kloczek
- release 2: adapterized.

Revision 1.8  2000/09/24 21:42:40  kloczek
- updated to 0.4.1,
- added BuildRequires rules,
- rewrited %build, %install and updated %files list.

Revision 1.7  2000/06/09 07:22:50  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/18 21:48:36  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:14:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/29 22:58:14  arturs
-added %description -l pl

Revision 1.3  2000/03/28 16:54:17  baggins
- translated kloczkish into english

Revision 1.2  1999/07/17 12:41:14  kloczek
- partialy rewrited (NFY),
- added template %changelog header and using CVS keywords.
